org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider

## Class TreeNodeItemProviderSpec

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.edit.provider.ItemProviderAdapter
    - - org.eclipse.emf.edit.tree.provider.TreeNodeItemProvider
      - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.provider.TreeNodeItemProviderSpec

All Implemented Interfaces:
  Adapter, Adapter.Internal, ResourceLocator, IItemStyledLabelProvider, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemColorProvider, IItemFontProvider, IItemLabelProvider, IItemPropertySource, INotifyChangedListener, IStructuredItemContentProvider, ITreeItemContentProvider

    public class TreeNodeItemProviderSpec
    extends TreeNodeItemProvider
    implements IItemStyledLabelProvider, IItemColorProvider, IItemFontProvider

A specific implementation of `TreeNodeItemProvider`.

Since:
  4.0

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.edit.tree.provider.TreeNodeItemProvider

`delegateItemProvider, itemDelegator`

### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

### Constructor Summary

Constructors
Constructor and Description
`TreeNodeItemProviderSpec(AdapterFactory adapterFactory, StructureMergeViewerFilter structureMergeViewerFilter)` This constructs an instance from a factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`Object` `getBackground(Object object)`
`Object` `getBackground(Object object, int columnIndex)`
`Collection<?>` `getChildren(Object object)`
`Object` `getFont(Object object)`
`Object` `getForeground(Object object)`
`Object` `getForeground(Object object, int columnIndex)`
`Object` `getParent(Object object)`
`IStyledString.IComposedStyledString` `getStyledText(Object object)` Returns the styled text label for the given object.
`protected void` `initMapping(Collection<? extends IDifferenceGroup> groups, IDifferenceGroupProvider groupProvider, TreeNode treeNode)` Init the mapping.

### Methods inherited from class org.eclipse.emf.edit.tree.provider.TreeNodeItemProvider

`collectNewChildDescriptors, getChildrenFeatures, getImage, getPropertyDescriptors, getText, notifyChanged, setTarget`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBaseURL, getChildFeature, getChildReference, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getImage, getNewChildDescriptors, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

`createCommand, getNewChildDescriptors`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

`hasChildren`

### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

`getElements`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

`getEditableValue, getPropertyDescriptor`

### Constructor Detail

#### TreeNodeItemProviderSpec

    public TreeNodeItemProviderSpec(AdapterFactory adapterFactory,
                                    StructureMergeViewerFilter structureMergeViewerFilter)

This constructs an instance from a factory.

Parameters:
  `adapterFactory` - the given factory
  `structureMergeViewerFilter` - the given structure merge viewer filter

### Method Detail

#### getParent

    public Object getParent(Object object)

Specified by:
  `getParent` in interface `IEditingDomainItemProvider`
Specified by:
  `getParent` in interface `ITreeItemContentProvider`
Overrides:
  `getParent` in class `TreeNodeItemProvider`
See Also:
  `TreeNodeItemProvider.getParent(java.lang.Object)`

#### getChildren

    public Collection<?> getChildren(Object object)

Specified by:
  `getChildren` in interface `IEditingDomainItemProvider`
Specified by:
  `getChildren` in interface `ITreeItemContentProvider`
Overrides:
  `getChildren` in class `ItemProviderAdapter`
See Also:
  `ItemProviderAdapter.getChildren(java.lang.Object)`

#### initMapping

    protected void initMapping(Collection<? extends IDifferenceGroup> groups,
                               IDifferenceGroupProvider groupProvider,
                               TreeNode treeNode)

Init the mapping.

Parameters:
  `groups` - the list of IDifferenceGroup to map with `GroupItemProviderAdapter`s.
  `groupProvider` - the IDifferenceGroupProvider used to create a `GroupItemProviderAdapter`.
  `treeNode` - the TreeNode used to create a `GroupItemProviderAdapter`.

#### getStyledText

    public IStyledString.IComposedStyledString getStyledText(Object object)

Returns the styled text label for the given object.

Specified by:
  `getStyledText` in interface `IItemStyledLabelProvider`
Overrides:
  `getStyledText` in class `ItemProviderAdapter`
Parameters:
  `object` - the object to evaluate the styled string for.
Returns:
  the styled string.
See Also:
  `IItemStyledLabelProvider.getStyledText(java.lang.Object)`

#### getBackground

    public Object getBackground(Object object)

Specified by:
  `getBackground` in interface `IItemColorProvider`
Overrides:
  `getBackground` in class `ItemProviderAdapter`
See Also:
  `ItemProviderAdapter.getBackground(java.lang.Object)`

#### getForeground

    public Object getForeground(Object object)

Specified by:
  `getForeground` in interface `IItemColorProvider`
Overrides:
  `getForeground` in class `ItemProviderAdapter`
See Also:
  `ItemProviderAdapter.getForeground(java.lang.Object)`

#### getBackground

    public Object getBackground(Object object,
                                int columnIndex)

Overrides:
  `getBackground` in class `ItemProviderAdapter`
See Also:
  `ItemProviderAdapter.getBackground(java.lang.Object, int)`

#### getForeground

    public Object getForeground(Object object,
                                int columnIndex)

Overrides:
  `getForeground` in class `ItemProviderAdapter`
See Also:
  `ItemProviderAdapter.getForeground(java.lang.Object, int)`

#### getFont

    public Object getFont(Object object)

Specified by:
  `getFont` in interface `IItemFontProvider`
Overrides:
  `getFont` in class `ItemProviderAdapter`
See Also:
  `ItemProviderAdapter.getFont(java.lang.Object)`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IDisposable`
Overrides:
  `dispose` in class `TreeNodeItemProvider`